<?php defined('SYSPATH') OR die('No direct access allowed.'); ?>
<table class="w-table">
<?php
foreach ($nodes as $node) {
	print "<tr><td class=\"icon dark\">";
	if ($node['state'] == 'STATE_CONNECTED') {
		print '<span class="icon-16 x16-shield-ok" title="'._('Active').'"></span>';
		#print "ACTIVE";
	} else {
		print '<span class="icon-16 x16-shield-critical" title="'._('Inactive').'"></span>';
		#print "INACTIVE";
	}
	print "</td><td style=\"padding-right: 0px;\">";
	print '<table class="clear">';

	print '<tr><td colspan="2" style="border: 0px; background: none; font-weight: bold; padding: 2px 0px">#'. $node['self_assigned_peer_id'] . ': ' . $node['name'].'</td></tr>';

	$last_alive = max($node['last_recv'], $node['last_sent']);
	$diff = time() - $last_alive;
	if ($last_alive == 0) {
		print "<tr><td style=\"border: 0px; background: none; padding: 2px 0px; vertical-align: top; font-weight:bold\">Last alive</td><td style=\"border: 0px; background: none\"><strong>Unable to determine</strong></td></tr>";
	} else {
		print "<tr><td style=\"border: 0px; background: none; padding: 2px 0px; vertical-align: top; font-weight:bold\">Last alive</td><td style=\"border: 0px; background: none\">" . date("Y-m-d H:i:s", $last_alive) . "<br />(" . $last_alive . ") (" . $diff . "s ago)</td></tr>";
	}

	if (!empty($arguments['display_checks'])) {
		print "<tr><td style=\"border: 0px; background: none; padding: 2px 0px; font-weight:bold\">Checks (h/s)</td><td style=\"border: 0px; background: none\">" . $node['host_checks_executed'] . " / " . $node['service_checks_executed'] . "</td></tr>";
	}

	if (!empty($arguments['display_latency'])) {
		print "<tr><td style=\"border: 0px; background: none; padding: 2px 0px; font-weight:bold; width: 85px; padding-right: 7px;\">Latency</td><td style=\"border: 0px; background: none\">" . $node['latency'] / 1000 . "s</td></tr>";
	}
	print "</table>";
	print "</td></tr>";
}
?>
</table>
